{
  "name": "factory_front",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "npm run lint && vue-tsc && vite build",
    "preview": "vite preview",
    "lint": "vue-tsc --noEmit && eslint"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.6.7",
    "bignumber": "^1.1.0",
    "bignumber.js": "^9.3.0",
    "dayjs": "^1.11.13",
    "echarts": "^6.0.0",
    "element-plus": "^2.6.0",
    "lodash-es": "^4.17.21",
    "luxon": "^3.7.1",
    "pinia": "^2.1.7",
    "qrcode": "^1.5.4",
    "splitpanes": "^3.1.5",
    "uuid": "^13.0.0",
    "vue": "^3.4.19",
    "vue-dompurify-html": "^5.1.0",
    "vue-router": "^4.3.0",
    "vue-tsc": "^2.1.10",
    "vxe-table": "^4.13.31",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@types/luxon": "^3.7.1",
    "@types/qrcode": "^1.5.5",
    "@types/splitpanes": "^2.2.6",
    "@typescript-eslint/eslint-plugin": "^7.1.1",
    "@typescript-eslint/parser": "^7.1.1",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^4.2.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-vue": "^9.22.0",
    "sass": "^1.71.1",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.17.5",
    "unplugin-icons": "^0.18.5",
    "unplugin-vue-components": "^0.26.0",
    "vite": "^5.1.4",
    "vite-plugin-compression": "^0.5.1"
  }
}
